Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.marklogic.xcc.types
Interface XdmValue

All Known Subinterfaces:
  ResultItem, ResultSequence, XdmAtomic, XdmAttribute, XdmBinary, XdmComment, XdmDocument, XdmElement, XdmItem, XdmNode, XdmProcessingInstruction, XdmSequence<I>, XdmText, XDTDayTimeDuration, XDTUntypedAtomic, XDTYearMonthDuration, XSAnyURI, XSBase64Binary, XSBoolean, XSDate, XSDateTime, XSDayTimeDuration, XSDecimal, XSDouble, XSDuration, XSFloat, XSGDay, XSGMonth, XSGMonthDay, XSGYear, XSGYearMonth, XSHexBinary, XSInteger, XSQName, XSString, XSTime, XSUntypedAtomic, XSYearMonthDuration

    public interface XdmValue

Base interface for XML Data Model (XDM) values represented as Java objects.

Method Summary
`String` | `asString()` Return a String representation of this item, if possible.
`ValueType` | `getValueType()` The XQuery type specification instance for this value.

Method Detail

### getValueType

    ValueType getValueType()

  The XQuery type specification instance for this value.

  Returns:
    An instance of `ValueType` that represents the XQuery Schema type of this value.

### asString

    String asString()

  Return a String representation of this item, if possible.

  Returns:
    A Java String representation of this value. Note that this is similar but not exactly equivalent to toString(). The toString() method will always return a printable String. This method may throw an exception for some types (such as binary()).
  Throws:
    `UnsupportedOperationException` - If the underlying value object cannot be represented as a String.

Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 MarkLogic Corporation, All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com